#include "hc05.h"
char display[20];
uint8_t rx_char,i;
extern UART_HandleTypeDef huart1;
void HAL_UART_RxCpltCallback(UART_HandleTypeDef *huart)
{
  if(huart->Instance==USART1 )
  {
    if(rx_char=='\r' || rx_char=='\n')
    i=0;
    else
    display[i++]=rx_char;
    HAL_UART_Receive_IT(&huart1,&rx_char,1);
  }
}
void clear_display_Rx(void)
{
  for(uint8_t j=0;j<20;j++)
  display[j]='\0';
}
